Alter Index Properties (V2)
This operation alters the properties of an index.
The base URL for this API is in the following format:
https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530
- Use the cluster endpoint if you are using serving clusters.
Free & Serverless
https://{cluster-id}.serverless.{region}.vectordb.zillizcloud.comDedicated
https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530
- You need to fill in
${CLUSTER_ENDPOINT}with that of your Zilliz Cloud cluster. - To get the endpoint, use the Describe Cluster V2 API to extract the values from the responses.
export CLUSTER_ENDPOINT="https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530"
The authentication token should be an API key with appropriate privileges or a pair of colon-joined username and password, like username:password. If you are using a project endpoint, only a valid API key with sufficient permissions applies.
The name of the database which the collection belongs to. Setting this to a non-existing database results in an error. If not specified, the default database applies.
The name of the target collection. Setting this to a non-existing collection results in an error.
The name of the target index.
The new index parameters to be set.
Whether to enable memory mapping for the current index.
Whether to cache the index offset in memory.
Whether to warm up the index.
- sync: Warm up before a segment is considered loaded
- async: Warm up in background after load
- disable: Do not proactively warm up; load on demand
export TOKEN="db_admin:xxxxxxxxxxxxx"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/indexes/alter_properties" \
--header "Authorization: Bearer ${TOKEN}". \
--header "Request-Timeout: 10" \
--header "Content-Type: application/json" \
-d '{
"collectionName": "test_collection",
"indexName": "my_vector",
"properties": {
"mmap.enabled": true
}
}'
Response code.
Returns an error message.
Response code.
Error message.
{
"code": 0,
"cost": 0,
"data": {}
}